View Issue Details

IDProjectCategoryView StatusLast Update
0028251LazarusIDEpublic2015-06-11 02:45
ReporterCudaText manAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.5 (SVN)Product Build 
Target VersionFixed in Version1.4.2 
Summary0028251: Lazarus i18n issues
Description1. See Image1. StringGrid in Version Info dialog has untranslated title.
2. (This issue is Russian language specific so description is in Russian) См. Image2: в диалоге цветов редактора вместо слова "отметка" надо слово "рамка", это все для рамки вокруг токена.
TagsNo tags attached.
Fixed in Revision49295, 49302, 49303, 49312, 49313
LazTarget-
Widgetset
Attached Files

Activities

CudaText man

2015-06-05 23:53

reporter  

lang.png (4,885 bytes)
lang.png (4,885 bytes)

CudaText man

2015-06-05 23:53

reporter  

lang2.png (10,536 bytes)
lang2.png (10,536 bytes)

Maxim Ganetsky

2015-06-06 01:28

developer   ~0084277

Last edited: 2015-06-06 01:28

View 2 revisions

Хотя ваши сообщения об ошибках полезны, я хотел бы указать на два момента:

1. Стиль оформления выших отчётов об ошибках отвратителен. В частности, практически отсутствует текстовое описание, а также уродуются слова, например, "dlg" вместо "dialog" и т. п. Я буду очень благодарен, если в дальнейшем вы постараетесь избегать этих недостатков.

2. Язык этого багтрекера - английский. Размещая сообщения на русском, вы проявляете неуважение к разработчикам, не знающим русский язык. Это последний отчёт на русском языке, который я принимаю в работу. Все последующие буду закрывать, как некорректные.

Надеюсь на понимание.

CudaText man

2015-06-06 02:45

reporter   ~0084278

I translate. 1)See image. On image you see unlocalized string. 2)see image. Better to use other word. Not word i hilited. Highlighted.

Maxim Ganetsky

2015-06-09 02:10

developer   ~0084317

Last edited: 2015-06-09 02:19

View 2 revisions

:)

Please test and close if OK.

I edited your bug description to show you how I would have liked to see it.

CudaText man

2015-06-09 14:26

reporter   ~0084324

FILE--Clean folder, dlg/dialog. I press OK, next dlg, listbox on it. At bottom: checkbox not Russian.

Maxim Ganetsky

2015-06-09 23:25

developer   ~0084327

Please test and close if OK.

CudaText man

2015-06-10 20:27

reporter  

img2.png (10,877 bytes)
img2.png (10,877 bytes)

CudaText man

2015-06-10 20:28

reporter   ~0084349

Image.Buttons title TOO Long. Better shorter. "MAX 10" not localized.

Maxim Ganetsky

2015-06-11 02:21

developer   ~0084360

Note that long captions are not necessarily bad. Shortened them somewhat anyway.

Please close.

Issue History

Date Modified Username Field Change
2015-06-05 23:53 CudaText man New Issue
2015-06-05 23:53 CudaText man File Added: lang.png
2015-06-05 23:53 CudaText man File Added: lang2.png
2015-06-06 01:14 Maxim Ganetsky Assigned To => Maxim Ganetsky
2015-06-06 01:14 Maxim Ganetsky Status new => assigned
2015-06-06 01:28 Maxim Ganetsky Note Added: 0084277
2015-06-06 01:28 Maxim Ganetsky Note Edited: 0084277 View Revisions
2015-06-06 02:45 CudaText man Note Added: 0084278
2015-06-09 02:10 Maxim Ganetsky Fixed in Revision => 49295
2015-06-09 02:10 Maxim Ganetsky LazTarget => -
2015-06-09 02:10 Maxim Ganetsky Note Added: 0084317
2015-06-09 02:10 Maxim Ganetsky Status assigned => resolved
2015-06-09 02:10 Maxim Ganetsky Fixed in Version => 1.4.2
2015-06-09 02:10 Maxim Ganetsky Resolution open => fixed
2015-06-09 02:16 Maxim Ganetsky Summary Localize issue => Lazarus i18n issues
2015-06-09 02:16 Maxim Ganetsky Description Updated View Revisions
2015-06-09 02:19 Maxim Ganetsky Note Edited: 0084317 View Revisions
2015-06-09 02:20 Maxim Ganetsky Description Updated View Revisions
2015-06-09 14:26 CudaText man Note Added: 0084324
2015-06-09 14:26 CudaText man Status resolved => assigned
2015-06-09 14:26 CudaText man Resolution fixed => reopened
2015-06-09 23:25 Maxim Ganetsky Fixed in Revision 49295 => 49295, 49302, 49303
2015-06-09 23:25 Maxim Ganetsky Note Added: 0084327
2015-06-09 23:25 Maxim Ganetsky Status assigned => resolved
2015-06-09 23:25 Maxim Ganetsky Resolution reopened => fixed
2015-06-10 20:27 CudaText man File Added: img2.png
2015-06-10 20:28 CudaText man Note Added: 0084349
2015-06-10 20:28 CudaText man Status resolved => assigned
2015-06-10 20:28 CudaText man Resolution fixed => reopened
2015-06-11 02:21 Maxim Ganetsky Fixed in Revision 49295, 49302, 49303 => 49295, 49302, 49303, 49312, 49313
2015-06-11 02:21 Maxim Ganetsky Note Added: 0084360
2015-06-11 02:21 Maxim Ganetsky Status assigned => resolved
2015-06-11 02:21 Maxim Ganetsky Resolution reopened => fixed
2015-06-11 02:45 CudaText man Status resolved => closed